# Module: `{{MODULE_NAME}}`

{{ONE_TO_TWO_SENTENCE_PURPOSE}}

## Responsibilities

- {{BULLET_1}}
- {{BULLET_2}}
- {{BULLET_3}}

## Key Files

- [`{{PATH_1}}`]({{LINK_1}}) — {{WHAT_IT_DOES}}
- [`{{PATH_2}}`]({{LINK_2}}) — {{WHAT_IT_DOES}}

## Public API

### `{{FUNCTION_NAME}}({{SIGNATURE}})`

{{ONE_LINE_DESCRIPTION}}

**Parameters:**
- `{{PARAM}}` ({{TYPE}}) — {{DESCRIPTION}}

**Returns:** {{TYPE}} — {{DESCRIPTION}}

## Internal Structure

{{HOW_THE_MODULE_IS_ORGANIZED}}

## Dependencies

- **Used by:** {{OTHER_MODULES}}
- **Uses:** {{OTHER_MODULES_AND_LIBS}}

## Notable Patterns / Gotchas

- {{ANYTHING_NON_OBVIOUS}}
